SELECT
    t.[Language]
    , t.[Region]
    , t.[QuoteType]
    , t.[QuoteSourceName]
    , t.[Currency]
    , t.[Market]
    , t.[MarketState]
    , t.[PriceHint]
    , t.[Exchange]
    , t.[FiftyTwoWeekLowChange]
    , t.[FiftyTwoWeekLowChangePercent]
    , t.[FiftyTwoWeekRange]
    , t.[FiftyTwoWeekHighChange]
    , t.[FiftyTwoWeekHighChangePercent]
    , t.[FiftyTwoWeekLow]
    , t.[FiftyTwoWeekHigh]
    , t.[DividendDate]
    , t.[FinancialCurrency]
    , t.[AverageDailyVolume3Month]
    , t.[AverageDailyVolume10Day]
    , t.[EarningsTimestampEnd]
    , t.[TrailingAnnualDividendRate]
    , t.[TrailingPE]
    , t.[TrailingAnnualDividendYield]
    , t.[ExchangeDataDelayedBy]
    , t.[EpsTrailingTwelveMonths]
    , t.[EpsForward]
    , t.[SharesOutstanding]
    , t.[BookValue]
    , t.[FiftyDayAverage]
    , t.[FiftyDayAverageChange]
    , t.[FiftyDayAverageChangePercent]
    , t.[TwoHundredDayAverage]
    , t.[TwoHundredDayAverageChange]
    , t.[TwoHundredDayAverageChangePercent]
    , t.[MarketCap]
    , t.[ForwardPE]
    , t.[PriceToBook]
    , t.[SourceInterval]
    , t.[ExchangeTimezoneName]
    , t.[ExchangeTimezoneShortName]
    , t.[GmtOffSetMilliseconds]
    , t.[RegularMarketPrice]
    , t.[RegularMarketTime]
    , t.[RegularMarketChange]
    , t.[RegularMarketOpen]
    , t.[RegularMarketDayHigh]
    , t.[RegularMarketDayLow]
    , t.[RegularMarketVolume]
    , t.[RegularMarketChangePercent]
    , t.[RegularMarketDayRange]
    , t.[RegularMarketPreviousClose]
    , t.[Bid]
    , t.[Ask]
    , t.[BidSize]
    , t.[AskSize]
    , t.[MessageBoardId]
    , t.[FullExchangeName]
    , t.[LongName]
    , t.[ShortName]
    , t.[EarningsTimestamp]
    , t.[EarningsTimestampStart]
    , t.[EsgPopulated]
    , t.[Tradeable]
    , t.[Symbol]
FROM
    (
    SELECT
        [Language] AS [Language]
        , [Region] AS [Region]
        , [QuoteType] AS [QuoteType]
        , [QuoteSourceName] AS [QuoteSourceName]
        , [Currency] AS [Currency]
        , [Market] AS [Market]
        , [MarketState] AS [MarketState]
        , [PriceHint] AS [PriceHint]
        , [Exchange] AS [Exchange]
        , [FiftyTwoWeekLowChange] AS [FiftyTwoWeekLowChange]
        , [FiftyTwoWeekLowChangePercent] AS [FiftyTwoWeekLowChangePercent]
        , [FiftyTwoWeekRange] AS [FiftyTwoWeekRange]
        , [FiftyTwoWeekHighChange] AS [FiftyTwoWeekHighChange]
        , [FiftyTwoWeekHighChangePercent] AS [FiftyTwoWeekHighChangePercent]
        , [FiftyTwoWeekLow] AS [FiftyTwoWeekLow]
        , [FiftyTwoWeekHigh] AS [FiftyTwoWeekHigh]
        , [DividendDate] AS [DividendDate]
        , [FinancialCurrency] AS [FinancialCurrency]
        , [AverageDailyVolume3Month] AS [AverageDailyVolume3Month]
        , [AverageDailyVolume10Day] AS [AverageDailyVolume10Day]
        , [EarningsTimestampEnd] AS [EarningsTimestampEnd]
        , [TrailingAnnualDividendRate] AS [TrailingAnnualDividendRate]
        , [TrailingPE] AS [TrailingPE]
        , [TrailingAnnualDividendYield] AS [TrailingAnnualDividendYield]
        , [ExchangeDataDelayedBy] AS [ExchangeDataDelayedBy]
        , [EpsTrailingTwelveMonths] AS [EpsTrailingTwelveMonths]
        , [EpsForward] AS [EpsForward]
        , [SharesOutstanding] AS [SharesOutstanding]
        , [BookValue] AS [BookValue]
        , [FiftyDayAverage] AS [FiftyDayAverage]
        , [FiftyDayAverageChange] AS [FiftyDayAverageChange]
        , [FiftyDayAverageChangePercent] AS [FiftyDayAverageChangePercent]
        , [TwoHundredDayAverage] AS [TwoHundredDayAverage]
        , [TwoHundredDayAverageChange] AS [TwoHundredDayAverageChange]
        , [TwoHundredDayAverageChangePercent] AS [TwoHundredDayAverageChangePercent]
        , [MarketCap] AS [MarketCap]
        , [ForwardPE] AS [ForwardPE]
        , [PriceToBook] AS [PriceToBook]
        , [SourceInterval] AS [SourceInterval]
        , [ExchangeTimezoneName] AS [ExchangeTimezoneName]
        , [ExchangeTimezoneShortName] AS [ExchangeTimezoneShortName]
        , [GmtOffSetMilliseconds] AS [GmtOffSetMilliseconds]
        , [RegularMarketPrice] AS [RegularMarketPrice]
        , [RegularMarketTime] AS [RegularMarketTime]
        , [RegularMarketChange] AS [RegularMarketChange]
        , [RegularMarketOpen] AS [RegularMarketOpen]
        , [RegularMarketDayHigh] AS [RegularMarketDayHigh]
        , [RegularMarketDayLow] AS [RegularMarketDayLow]
        , [RegularMarketVolume] AS [RegularMarketVolume]
        , [RegularMarketChangePercent] AS [RegularMarketChangePercent]
        , [RegularMarketDayRange] AS [RegularMarketDayRange]
        , [RegularMarketPreviousClose] AS [RegularMarketPreviousClose]
        , [Bid] AS [Bid]
        , [Ask] AS [Ask]
        , [BidSize] AS [BidSize]
        , [AskSize] AS [AskSize]
        , [MessageBoardId] AS [MessageBoardId]
        , [FullExchangeName] AS [FullExchangeName]
        , [LongName] AS [LongName]
        , [ShortName] AS [ShortName]
        , [EarningsTimestamp] AS [EarningsTimestamp]
        , [EarningsTimestampStart] AS [EarningsTimestampStart]
        , [EsgPopulated] AS [EsgPopulated]
        , [Tradeable] AS [Tradeable]
        , [Symbol] AS [Symbol]
    FROM
        OPENROWSET(
            BULK 'data.csv',
            FORMATFILE = 'data.fmt',
            CODEPAGE = '1251',
            FIRSTROW = 2) t
    ) t
