SELECT
    s.Symbol
    --, s.LoadDate
    --, s.Report
    , REPLACE(REPLACE(t0.Key, '0.', ''), '.fmt', '') AS Name
    , t3.Value AS Period1
    , t2.Value AS Period2
    , t1.Value AS Period3
    , t0.Value AS Period4
FROM
    (
        SELECT
            Symbol
            , MAX(LoadDate) AS LoadDate
            , Report
        FROM
            data
        GROUP BY
            Symbol
            , Report
    ) s
    INNER JOIN data t0 ON t0.Symbol = s.Symbol AND t0.LoadDate = s.LoadDate AND t0.Report = s.Report AND t0.Key = '0.endDate.fmt'
    INNER JOIN data t1 ON t1.Symbol = s.Symbol AND t1.LoadDate = s.LoadDate AND t1.Report = s.Report AND t1.Key = '1.endDate.fmt'
    INNER JOIN data t2 ON t2.Symbol = s.Symbol AND t2.LoadDate = s.LoadDate AND t2.Report = s.Report AND t2.Key = '2.endDate.fmt'
    INNER JOIN data t3 ON t3.Symbol = s.Symbol AND t3.LoadDate = s.LoadDate AND t3.Report = s.Report AND t3.Key = '3.endDate.fmt'
WHERE
    s.Report = 'is_a'
UNION ALL
SELECT
    s.Symbol
    --, s.LoadDate
    --, s.Report
    , REPLACE(REPLACE(t0.Key, '0.', ''), '.fmt', '') AS Name
    , t3.Value AS Period1
    , t2.Value AS Period2
    , t1.Value AS Period3
    , t0.Value AS Period4
FROM
    (
        SELECT
            Symbol
            , MAX(LoadDate) AS LoadDate
            , Report
        FROM
            data
        GROUP BY
            Symbol
            , Report
    ) s
    INNER JOIN data t0 ON t0.Symbol = s.Symbol AND t0.LoadDate = s.LoadDate AND t0.Report = s.Report AND t0.Key = '0.totalRevenue.fmt'
    INNER JOIN data t1 ON t1.Symbol = s.Symbol AND t1.LoadDate = s.LoadDate AND t1.Report = s.Report AND t1.Key = '1.totalRevenue.fmt'
    INNER JOIN data t2 ON t2.Symbol = s.Symbol AND t2.LoadDate = s.LoadDate AND t2.Report = s.Report AND t2.Key = '2.totalRevenue.fmt'
    INNER JOIN data t3 ON t3.Symbol = s.Symbol AND t3.LoadDate = s.LoadDate AND t3.Report = s.Report AND t3.Key = '3.totalRevenue.fmt'
WHERE
    s.Report = 'is_a'
