CREATE TABLE [data] (
    [Symbol] varchar(50) NOT NULL,
    [LoadDate] datetime NOT NULL,
    [MaxAge] integer NULL,
    [PriceHint_raw] integer NULL,
    [PriceHint_fmt] integer NULL,
    [PriceHint_longFmt] integer NULL,
    [PreviousClose_raw] float NULL,
    [PreviousClose_fmt] float NULL,
    [Open_raw] float NULL,
    [Open_fmt] float NULL,
    [DayLow_raw] float NULL,
    [DayLow_fmt] float NULL,
    [DayHigh_raw] float NULL,
    [DayHigh_fmt] float NULL,
    [RegularMarketPreviousClose_raw] float NULL,
    [RegularMarketPreviousClose_fmt] float NULL,
    [RegularMarketOpen_raw] float NULL,
    [RegularMarketOpen_fmt] float NULL,
    [RegularMarketDayLow_raw] float NULL,
    [RegularMarketDayLow_fmt] float NULL,
    [RegularMarketDayHigh_raw] float NULL,
    [RegularMarketDayHigh_fmt] float NULL,
    [DividendRate_raw] float NULL,
    [DividendRate_fmt] float NULL,
    [DividendYield_raw] float NULL,
    [DividendYield_fmt] float NULL,
    [ExDividendDate_raw] integer NULL,
    [ExDividendDate_fmt] datetime NULL,
    [PayoutRatio_raw] float NULL,
    [PayoutRatio_fmt] float NULL,
    [FiveYearAvgDividendYield_raw] float NULL,
    [FiveYearAvgDividendYield_fmt] float NULL,
    [Beta_raw] float NULL,
    [Beta_fmt] float NULL,
    [TrailingPE_raw] float NULL,
    [TrailingPE_fmt] float NULL,
    [ForwardPE_raw] float NULL,
    [ForwardPE_fmt] float NULL,
    [Volume_raw] integer NULL,
    [Volume_fmt] varchar(255) NULL,
    [Volume_longFmt] integer NULL,
    [RegularMarketVolume_raw] integer NULL,
    [RegularMarketVolume_fmt] varchar(255) NULL,
    [RegularMarketVolume_longFmt] integer NULL,
    [AverageVolume_raw] integer NULL,
    [AverageVolume_fmt] varchar(255) NULL,
    [AverageVolume_longFmt] integer NULL,
    [AverageVolume10days_raw] integer NULL,
    [AverageVolume10days_fmt] varchar(255) NULL,
    [AverageVolume10days_longFmt] integer NULL,
    [AverageDailyVolume10Day_raw] integer NULL,
    [AverageDailyVolume10Day_fmt] varchar(255) NULL,
    [AverageDailyVolume10Day_longFmt] integer NULL,
    [Bid_raw] float NULL,
    [Bid_fmt] float NULL,
    [Ask_raw] float NULL,
    [Ask_fmt] float NULL,
    [BidSize_raw] integer NULL,
    [BidSize_fmt] varchar(255) NULL,
    [BidSize_longFmt] integer NULL,
    [AskSize_raw] integer NULL,
    [AskSize_fmt] varchar(255) NULL,
    [AskSize_longFmt] integer NULL,
    [MarketCap_raw] integer NULL,
    [MarketCap_fmt] varchar(255) NULL,
    [MarketCap_longFmt] integer NULL,
    [FiftyTwoWeekLow_raw] float NULL,
    [FiftyTwoWeekLow_fmt] float NULL,
    [FiftyTwoWeekHigh_raw] float NULL,
    [FiftyTwoWeekHigh_fmt] float NULL,
    [PriceToSalesTrailing12Months_raw] float NULL,
    [PriceToSalesTrailing12Months_fmt] float NULL,
    [FiftyDayAverage_raw] float NULL,
    [FiftyDayAverage_fmt] float NULL,
    [TwoHundredDayAverage_raw] float NULL,
    [TwoHundredDayAverage_fmt] float NULL,
    [TrailingAnnualDividendRate_raw] float NULL,
    [TrailingAnnualDividendRate_fmt] float NULL,
    [TrailingAnnualDividendYield_raw] float NULL,
    [TrailingAnnualDividendYield_fmt] float NULL,
    [Currency] varchar(255) NULL,
    [FromCurrency] varchar(255) NULL,
    [LastMarket] varchar(255) NULL,
    [Algorithm] varchar(255) NULL,
    [Tradeable] varchar(255) NULL,
  CONSTRAINT [PK_data] PRIMARY KEY ([Symbol], [LoadDate])
);

-- print Table [data] created;
